## linux-6.1 6.1.137

=== net/ipv4/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the Linux TCP/IP (INET) layer.
#

obj-y     := route.o inetpeer.o protocol.o \
	     ip_input.o ip_fragment.o ip_forward.o ip_options.o \
	     ip_output.o ip_sockglue.o inet_hashtables.o \
	     inet_timewait_sock.o inet_connection_sock.o \
	     tcp.o tcp_input.o tcp_output.o tcp_timer.o tcp_ipv4.o \
	     tcp_minisocks.o tcp_cong.o tcp_metrics.o tcp_fastopen.o \
	     tcp_rate.o tcp_recovery.o tcp_ulp.o \
	     tcp_offload.o datagram.o raw.o udp.o udplite.o \
	     udp_offload.o arp.o icmp.o devinet.o af_inet.o igmp.o \
	     fib_frontend.o fib_semantics.o fib_trie.o fib_notifier.o \
	     inet_fragment.o ping.o ip_tunnel_core.o gre_offload.o \
	     metrics.o netlink.o nexthop.o udp_tunnel_stub.o

obj-$(CONFIG_BPFILTER) += bpfilter/

obj-$(CONFIG_NET_IP_TUNNEL) += ip_tunnel.o
obj-$(CONFIG_SYSCTL) += sysctl_net_ipv4.o
obj-$(CONFIG_PROC_FS) += proc.o
obj-$(CONFIG_IP_MULTIPLE_TABLES) += fib_rules.o
obj-$(CONFIG_IP_MROUTE) += ipmr.o
obj-$(CONFIG_IP_MROUTE_COMMON) += ipmr_base.o
obj-$(CONFIG_NET_IPIP) += ipip.o
gre-y := gre_demux.o
obj-$(CONFIG_NET_FOU) += fou.o
obj-$(CONFIG_NET_IPGRE_DEMUX) += gre.o
obj-$(CONFIG_NET_IPGRE) += ip_gre.o
udp_tunnel-y := udp_tunnel_core.o udp_tunnel_nic.o
obj-$(CONFIG_NET_UDP_TUNNEL) += udp_tunnel.o
obj-$(CONFIG_NET_IPVTI) += ip_vti.o
obj-$(CONFIG_SYN_COOKIES) += syncookies.o
obj-$(CONFIG_INET_AH) += ah4.o
obj-$(CONFIG_INET_ESP) += esp4.o
obj-$(CONFIG_INET_ESP_OFFLOAD) += esp4_offload.o
obj-$(CONFIG_INET_IPCOMP) += ipcomp.o
obj-$(CONFIG_INET_XFRM_TUNNEL) += xfrm4_tunnel.o
obj-$(CONFIG_INET_TUNNEL) += tunnel4.o
obj-$(CONFIG_IP_PNP) += ipconfig.o
obj-$(CONFIG_NETFILTER)	+= netfilter.o netfilter/
obj-$(CONFIG_INET_DIAG) += inet_diag.o
obj-$(CONFIG_INET_TCP_DIAG) += tcp_diag.o
obj-$(CONFIG_INET_UDP_DIAG) += udp_diag.o
obj-$(CONFIG_INET_RAW_DIAG) += raw_diag.o
obj-$(CONFIG_TCP_CONG_BBR) += tcp_bbr.o
obj-$(CONFIG_TCP_CONG_BIC) += tcp_bic.o
obj-$(CONFIG_TCP_CONG_CDG) += tcp_cdg.o
obj-$(CONFIG_TCP_CONG_CUBIC) += tcp_cubic.o
obj-$(CONFIG_TCP_CONG_DCTCP) += tcp_dctcp.o
obj-$(CONFIG_TCP_CONG_WESTWOOD) += tcp_westwood.o
obj-$(CONFIG_TCP_CONG_HSTCP) += tcp_highspeed.o
obj-$(CONFIG_TCP_CONG_HYBLA) += tcp_hybla.o
obj-$(CONFIG_TCP_CONG_HTCP) += tcp_htcp.o
obj-$(CONFIG_TCP_CONG_VEGAS) += tcp_vegas.o
obj-$(CONFIG_TCP_CONG_NV) += tcp_nv.o
obj-$(CONFIG_TCP_CONG_VENO) += tcp_veno.o
obj-$(CONFIG_TCP_CONG_SCALABLE) += tcp_scalable.o
obj-$(CONFIG_TCP_CONG_LP) += tcp_lp.o
obj-$(CONFIG_TCP_CONG_YEAH) += tcp_yeah.o
obj-$(CONFIG_TCP_CONG_ILLINOIS) += tcp_illinois.o
obj-$(CONFIG_NET_SOCK_MSG) += tcp_bpf.o
obj-$(CONFIG_BPF_SYSCALL) += udp_bpf.o
obj-$(CONFIG_NETLABEL) += cipso_ipv4.o

obj-$(CONFIG_XFRM) += xfrm4_policy.o xfrm4_state.o xfrm4_input.o \
		      xfrm4_output.o xfrm4_protocol.o

ifeq ($(CONFIG_BPF_JIT),y)
obj-$(CONFIG_BPF_SYSCALL) += bpf_tcp_ca.o
endif

## linux-6.1 6.1.106

=== debian/changelog ===
linux-6.1 (6.1.106-3~deb11u3) bullseye-security; urgency=medium

  * Re-upload to generate signed packages

 -- Ben Hutchings <benh@debian.org>  Tue, 24 Sep 2024 12:24:16 +0200

linux-6.1 (6.1.106-3~deb11u2) bullseye-security; urgency=medium

  * Fix build-dependency on "pahole | dwarves" to be just "dwarves", since
    stable buildds always try to use the first alternative

 -- Ben Hutchings <benh@debian.org>  Wed, 11 Sep 2024 16:40:27 +0200

linux-6.1 (6.1.106-3~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye:
    - Disable building linux-libc-dev and unversioned tools packages
    - Disable building installer udebs and remove build-dependency on
      kernel-wedge
    - Disable building linux-compiler-gcc-10-*
    - d/salsa-ci.yml: Set RELEASE to bullseye
    - d/salsa-ci.yml: Support suffixed source package names
    - lintian: Update source package names in overrides
    - Set ABI to 0.deb11.25

 -- Ben Hutchings <benh@debian.org>  Sun, 01 Sep 2024 18:12:56 +0200

linux (6.1.106-3) bookworm; urgency=medium

  * udp: allow header check for dodgy GSO_UDP_L4 packets.
  * gso: fix dodgy bit handling for GSO_UDP_L4
  * net: more strict VIRTIO_NET_HDR_GSO_UDP_L4 validation
  * net: drop bad gso csum_start and offset in virtio_net_hdr (Closes: #1079684)
  * Bump ABI to 25

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 26 Aug 2024 21:47:39 +0200

linux (6.1.106-2) bookworm; urgency=medium

  * media: solo6x10: replace max(a, min(b, c)) by clamp(b, a, c)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 22 Aug 2024 12:35:24 +0200

linux (6.1.106-1) bookworm; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.100
    - Compiler Attributes: Add __uninitialized macro
    - mm: prevent derefencing NULL ptr in pfn_section_valid()
    - cachefiles: propagate errors from vfs_getxattr() to avoid infinite loop
    - cachefiles: narrow the scope of triggering EPOLLIN events in ondemand mode
    - cachefiles: stop sending new request when dropping object
    - cachefiles: cancel all requests for the object that is being dropped
    - cachefiles: wait for ondemand_object_worker to finish when dropping object
    - cachefiles: cyclic allocation of msg_id to avoid reuse
    - cachefiles: add missing lock protection when polling
    - filelock: fix potential use-after-free in posix_lock_inode
    - fs/dcache: Re-use value stored to dentry->d_flags instead of re-reading
    - vfs: don't mod negative dentry count when on shrinker list
    - tcp: fix incorrect undo caused by DSACK of TLP retransmit
    - net: phy: microchip: lan87xx: reinit PHY after cable test
    - skmsg: Skip zero length skb in sk_msg_recvmsg
    - net: fix rc7's __skb_datagram_iter()
    - i40e: Fix XDP program unloading while removing the driver
    - net: ethernet: lantiq_etop: fix double free in detach
    - bpf: Refactor some inode/task/sk storage functions for reuse
    - bpf: Reduce smap->elem_size
    - bpf: use bpf_map_kvcalloc in bpf_local_storage
    - bpf: Remove __bpf_local_storage_map_alloc
    - bpf: fix order of args in call to bpf_map_kvcalloc
    - net: ethernet: mtk-star-emac: set mac_managed_pm when probing
    - ppp: reject claimed-as-LCP but actually malformed packets
    - ethtool: netlink: do not return SQI value if link is down
    - udp: Set SOCK_RCU_FREE earlier in udp_lib_get_port().
    - net/sched: Fix UAF when resolving a clash
    - net, sunrpc: Remap EPERM in case of connection failure in
      xs_tcp_setup_socket
    - [s390x] Mark psw in __load_psw_mask() as __unitialized
    - firmware: cs_dsp: Fix overflow checking of wmfw header
    - firmware: cs_dsp: Return error if block header overflows file
    - firmware: cs_dsp: Validate payload length before processing block
    - firmware: cs_dsp: Prevent buffer overrun when processing V2 alg headers
    - firmware: cs_dsp: Use strnlen() on name fields in V1 wmfw files
    - cifs: fix setting SecurityFlags to true
    - Revert "sched/fair: Make sure to try to detach at least one movable task"
    - tcp: use signed arithmetic in tcp_rtx_probe0_timed_out()
    - tcp: avoid too many retransmit packets (CVE-2024-41007)
    - USB: serial: option: add Telit generic core-dump composition
    - USB: serial: option: add Telit FN912 rmnet compositions
    - USB: serial: option: add Fibocom FM350-GL
    - USB: serial: option: add support for Foxconn T99W651
    - USB: serial: option: add Netprisma LCUK54 series modules
    - USB: serial: option: add Rolling RW350-GL variants
    - USB: serial: mos7840: fix crash on resume
    - USB: Add USB_QUIRK_NO_SET_INTF quirk for START BP-850k
    - usb: gadget: configfs: Prevent OOB read/write in usb_string_copy()
    - USB: core: Fix duplicate endpoint bug by clearing reserved bits in the
      descriptor
    - hpet: Support 32-bit userspace
    - xhci: always resume roothubs if xHC was reset during resume
    - ksmbd: discard write access to the directory open
    - nvmem: rmem: Fix return value of rmem_read()
    - nvmem: meson-efuse: Fix return value of nvmem callbacks
    - nvmem: core: only change name to fram for current attribute
    - [x86] platform/x86: toshiba_acpi: Fix array out-of-bounds access
    - ALSA: hda/realtek: add quirk for Clevo V5[46]0TU
    - ALSA: hda/realtek: Enable Mute LED on HP 250 G7
    - ALSA: hda/realtek: Limit mic boost on VAIO PRO PX
    - Fix userfaultfd_api to return EINVAL as expected
    - libceph: fix race between delayed_work() and ceph_monc_stop()
    - ACPI: processor_idle: Fix invalid comparison with insertion sort for
      latency
    - wireguard: selftests: use acpi=off instead of -no-acpi for recent QEMU
    - wireguard: allowedips: avoid unaligned 64-bit memory accesses
    - wireguard: queueing: annotate intentional data race in cpu round robin
    - wireguard: send: annotate intentional data race in checking empty queue


=== debian/control ===
Source: linux-6.1
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 12), dh-exec, python3:native, python3-jinja2:native, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, lz4 [amd64 arm64] <!pkg.linux.nokernel !stage1>, dwarves:native (>= 1.16~) <!pkg.linux.nokernel !stage1>, gcc-10 [alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-10-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-10-x86-64-linux-gnu [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-10-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-10-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-10-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-10-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-10-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-10-i686-linux-gnu [i386] <cross !pkg.linux.nokernel !stage1>, gcc-10-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-10-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-10-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-10-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-10-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-10-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-10-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-10-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-10-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-6.1.0-0.deb11.25
Architecture: all
Section: devel
Build-Profiles: <!stage1>
Depends: ${python3:Depends}, python3-jinja2, ${misc:Depends}
Multi-Arch: foreign
Description: Support files for Linux 6.1
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.

Package: linux-doc-6.1
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux kernel specific documentation for version 6.1
 This package provides the various README files and HTML documentation for
 the Linux kernel version 6.1.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-6.1/html/index.html.

Package: linux-source-6.1
Architecture: all
Section: kernel
Build-Profiles: <!pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: build-essential, bc, rsync, kmod, cpio, bison, flex, libelf-dev, libssl-dev, linux-config-6.1
Suggests: libncurses-dev | ncurses-dev, qtbase5-dev, pkg-config
Multi-Arch: foreign
Description: Linux kernel source for version 6.1 with Debian patches
 This package provides source code for the Linux kernel version 6.1. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.

Package: linux-headers-6.1.0-0.deb11.25-common
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-0.deb11.25
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-0.deb11.25, generally used for building out-of-tree kernel
 modules.  To obtain a complete set of headers you also need to install the
 linux-headers-6.1.0-0.deb11.25-(flavour) package, matching the flavour of
 the kernel you intend the build for.

Package: linux-headers-6.1.0-0.deb11.25-common-rt
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-0.deb11.25-rt
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-0.deb11.25 with the PREEMPT_RT featureset, generally used
 for building out-of-tree kernel modules.  To obtain a complete set of
 headers you also need to install the
 linux-headers-6.1.0-0.deb11.25-(flavour) package, matching the flavour of
 the kernel you intend the build for.

Package: linux-config-6.1
Architecture: linux-any
Build-Profiles: <!pkg.linux.nosource !stage1>
Depends: ${misc:Depends}
Recommends: linux-source-6.1
Multi-Arch: same
Description: Debian kernel configurations for Linux 6.1
 This package contains the configuration files used to build the official
 Debian kernel files, but without references to Debian's signing
 certificates.
 .
 These can be used as a basis for configuring custom kernels.

Package: linux-kbuild-6.1
Architecture: linux-any
Build-Profiles: <!pkg.linux.notools !stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Kbuild infrastructure for Linux 6.1
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 6.1.

Package: linux-bootwrapper-6.1.0-0.deb11.25
Architecture: powerpc ppc64
Build-Profiles: <!pkg.linux.notools !stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Boot wrapper tools for Linux 6.1 on PowerPC
 This package provides the 'wrapper' script and related tools needed to
 process the Linux kernel image for use with some PowerPC platforms.

Package: linux-headers-6.1.0-0.deb11.25-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb11.25-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-10
Description: Header files for Linux 6.1.0-0.deb11.25-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.1.0-0.deb11.25-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.1.0-0.deb11.25-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.1.0-0.deb11.25-alpha-generic package.

Package: linux-image-6.1.0-0.deb11.25-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb11.25 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, apparmor [alpha]
Suggests: linux-doc-6.1, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: fwupdate (<< 12-7) [alpha], wireless-regdb (<< 2019.06.03-1~) [alpha], initramfs-tools (<< 0.120+deb8u2)
Description: Linux 6.1 for Alpha
 The Linux kernel 6.1 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-image-6.1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
Provides: linux-latest-modules-6.1.0-0.deb11.25-alpha-generic, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386]
Depends: linux-image-6.1.0-0.deb11.25-alpha-generic (= ${binary:Version}), ${misc:Depends}
Description: Linux for Alpha (meta-package)
 This package depends on the latest Linux kernel and modules for use on DEC
 Alpha systems with extended kernel start address (Wildfire, Titan,
 Marvel).

Package: linux-headers-6.1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb11.25-alpha-generic (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux alpha-generic configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel alpha-generic configuration.

Package: linux-image-6.1.0-0.deb11.25-alpha-generic-dbg
Architecture: alpha
Section: debug
Priority: optional
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Description: Debug symbols for linux-image-6.1.0-0.deb11.25-alpha-generic
 This package provides the detached debug symbols for the Linux kernel and
 modules in linux-image-6.1.0-0.deb11.25-alpha-generic.

Package: linux-image-6.1-alpha-generic-dbg
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.nometa !pkg.linux.quick !stage1>
Provides: linux-latest-image-dbg
Depends: linux-image-6.1.0-0.deb11.25-alpha-generic-dbg (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for Linux alpha-generic configuration (meta-package)
 This package depends on the detached debugging symbols for the latest
 Linux kernel alpha-generic configuration.

Package: linux-headers-6.1.0-0.deb11.25-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb11.25-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-10
Description: Header files for Linux 6.1.0-0.deb11.25-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.1.0-0.deb11.25-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.1.0-0.deb11.25-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.1.0-0.deb11.25-alpha-smp package.

Package: linux-image-6.1.0-0.deb11.25-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb11.25 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.1.0-0.deb11.25-alpha-generic [alpha], linux-image-6.1.0-0.deb11.25-alpha-smp [alpha], linux-image-6.1.0-0.deb11.25-amd64-unsigned [amd64], linux-image-6.1.0-0.deb11.25-cloud-amd64-unsigned [amd64], linux-image-6.1.0-0.deb11.25-rt-amd64-unsigned [amd64], linux-image-6.1.0-0.deb11.25-arm64-unsigned [arm64], linux-image-6.1.0-0.deb11.25-cloud-arm64-unsigned [arm64], linux-image-6.1.0-0.deb11.25-rt-arm64-unsigned [arm64], linux-image-6.1.0-0.deb11.25-marvell [armel], linux-image-6.1.0-0.deb11.25-rpi [armel], linux-image-6.1.0-0.deb11.25-armmp [armhf], linux-image-6.1.0-0.deb11.25-armmp-lpae [armhf], linux-image-6.1.0-0.deb11.25-rt-armmp [armhf], linux-image-6.1.0-0.deb11.25-parisc [hppa], linux-image-6.1.0-0.deb11.25-parisc64 [hppa], linux-image-6.1.0-0.deb11.25-686-unsigned [i386], linux-image-6.1.0-0.deb11.25-686-pae-unsigned [i386], linux-image-6.1.0-0.deb11.25-rt-686-pae-unsigned [i386], linux-image-6.1.0-0.deb11.25-itanium [ia64], linux-image-6.1.0-0.deb11.25-mckinley [ia64], linux-image-6.1.0-0.deb11.25-m68k [m68k], linux-image-6.1.0-0.deb11.25-4kc-malta [mips mipsel], linux-image-6.1.0-0.deb11.25-mips32r2eb [mips], linux-image-6.1.0-0.deb11.25-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-0.deb11.25-5kc-malta [mips64 mips64el], linux-image-6.1.0-0.deb11.25-mips64r2eb [mips64], linux-image-6.1.0-0.deb11.25-mips64r2el [mips64el], linux-image-6.1.0-0.deb11.25-loongson-3 [mips64el mipsel], linux-image-6.1.0-0.deb11.25-mips64r6eb [mips64r6], linux-image-6.1.0-0.deb11.25-mips64r6el [mips64r6el], linux-image-6.1.0-0.deb11.25-mips32r2el [mipsel], linux-image-6.1.0-0.deb11.25-mips32r6eb [mipsr6], linux-image-6.1.0-0.deb11.25-mips32r6el [mipsr6el], linux-image-6.1.0-0.deb11.25-powerpc [powerpc], linux-image-6.1.0-0.deb11.25-powerpc-smp [powerpc], linux-image-6.1.0-0.deb11.25-powerpc64 [powerpc ppc64], linux-image-6.1.0-0.deb11.25-powerpc64le [ppc64el], linux-image-6.1.0-0.deb11.25-riscv64 [riscv64], linux-image-6.1.0-0.deb11.25-s390x [s390x], linux-image-6.1.0-0.deb11.25-sh7751r [sh4], linux-image-6.1.0-0.deb11.25-sh7785lcr [sh4], linux-image-6.1.0-0.deb11.25-sparc64 [sparc64], linux-image-6.1.0-0.deb11.25-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial

## linux-6.1 6.1.112

=== debian/changelog ===
linux-6.1 (6.1.112-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.
  * Switch ABI to 0.deb9.26 for stretch
  * Switch to GCC 6
  * Disable unprivileged user namespaces by default
  * [armel,armhf] Remove build-dependency on libnuma-dev
  * Build-Depend on libbabeltrace-ctf-dev instead of libbabeltrace-dev
  * debian/bin/gencontrol.py: Replace f-string with use of str.format
  * debian/bin/gencontrol.py: Replace another f-string with use of str.format
  * Disable code signing
  * Disable lockdown support
  * Drop :native qualifier for python3-ninja2 build-dep
  * Revert sphinx bump
  * debian/lib/python: fix scripts to work with Python 3.6
  * Fix sphinx encoding errors when building the docs with our python
  * Fix logical not compiler warning turned into error

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 10 Dec 2024 10:06:37 +0100

linux-6.1 (6.1.112-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster:
    - Set ABI to 0.deb10.26
  * Disable BTF, dwarves is too old in buster.
  * Build with gcc-8.
  * Enable EFI_VARS, and stop breaking fwupdate.
  * Fix scripts to work with python 3.7.
  * Backport changes by Bastian Blank to use ephemeral keys:
    - Set MODULE_SIG_ALL to sign all modules.
    - Not longer request Secure Boot signing for modules.
    - Don't trust Secure Boot key any longer.
  * debian/tests: skip selftests, they fail on our infra
  * Also disable kernel-wedge build-dep for the signing template

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 05 Dec 2024 12:46:18 +0100

linux-6.1 (6.1.112-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye:
    - Set ABI to 0.deb11.26

 -- Ben Hutchings <benh@debian.org>  Tue, 01 Oct 2024 02:33:07 +0200

linux (6.1.112-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.107
    - tty: atmel_serial: use the correct RTS flag.
    - fuse: Initialize beyond-EOF page contents before setting uptodate
    - ALSA: usb-audio: Add delay quirk for VIVO USB-C-XE710 HEADSET
    - ALSA: usb-audio: Support Yamaha P-125 quirk entry
    - xhci: Fix Panther point NULL pointer deref at full-speed re-enumeration
    - [x86] thunderbolt: Mark XDomain as unplugged when router is removed
    - [s390x] dasd: fix error recovery leading to data corruption on ESE devices
    - [arm64] ACPI: NUMA: initialize all values of acpi_early_node_map to
      NUMA_NO_NODE
    - dm resume: don't return EINVAL when signalled
    - dm persistent data: fix memory allocation failure
    - vfs: Don't evict inode under the inode lru traversing context
    - [s390x] cio: rename bitmap_size() -> idset_bitmap_size()
    - btrfs: rename bitmap_set_bits() -> btrfs_bitmap_set_bits()
    - bitmap: introduce generic optimized bitmap_size()
    - fix bitmap corruption on close_range() with CLOSE_RANGE_UNSHARE
    - i2c: qcom-geni: Add missing geni_icc_disable in geni_i2c_runtime_resume
    - rtla/osnoise: Prevent NULL dereference in error handling
    - fs/netfs/fscache_cookie: add missing "n_accesses" check
    - selinux: fix potential counting error in avc_add_xperms_decision()
    - mm/memory-failure: use raw_spinlock_t in struct memory_failure_cpu
    - btrfs: zoned: properly take lock to read/update block group's zoned
      variables
    - btrfs: tree-checker: add dev extent item checks
    - drm/amdgpu: Actually check flags for all context ops.
    - memcg_write_event_control(): fix a user-triggerable oops
    - drm/amdgpu/jpeg2: properly set atomics vmid field
    - [s390x] uv: Panic for set and remove shared access UVC errors
    - bpf: Fix updating attached freplace prog in prog_array map
    - nilfs2: prevent WARNING in nilfs_dat_commit_end()
    - ext4, jbd2: add an optimized bmap for the journal inode
    - 9P FS: Fix wild-memory-access write in v9fs_get_acl
    - nilfs2: initialize "struct nilfs_binfo_dat"->bi_pad field
    - mm: khugepaged: fix kernel BUG in hpage_collapse_scan_file()
    - bpf: Split off basic BPF verifier log into separate file
    - bpf: drop unnecessary user-triggerable WARN_ONCE in verifierl log
    - posix-timers: Ensure timer ID search-loop limit is valid
    - pid: Replace struct pid 1-element array with flex-array
    - gfs2: Rename remaining "transaction" glock references
    - gfs2: Rename the {freeze,thaw}_super callbacks
    - gfs2: Rename gfs2_freeze_lock{ => _shared }
    - gfs2: Rename SDF_{FS_FROZEN => FREEZE_INITIATOR}
    - gfs2: Rework freeze / thaw logic
    - gfs2: Stop using gfs2_make_fs_ro for withdraw
    - Bluetooth: Fix hci_link_tx_to RCU lock usage
    - wifi: mac80211: take wiphy lock for MAC addr change
    - wifi: mac80211: fix change_address deadlock during unregister
    - net: sched: Print msecs when transmit queue time out
    - net: don't dump stack on queue timeout
    - jfs: fix shift-out-of-bounds in dbJoin
    - squashfs: squashfs_read_data need to check if the length is 0
    - Squashfs: fix variable overflow triggered by sysbot
    - reiserfs: fix uninit-value in comp_keys
    - erofs: avoid debugging output for (de)compressed data
    - quota: Detect loops in quota tree
    - net:rds: Fix possible deadlock in rds_message_put
    - net: sctp: fix skb leak in sctp_inq_free()
    - pppoe: Fix memory leak in pppoe_sendmsg()
    - wifi: mac80211: fix and simplify unencrypted drop check for mesh
    - wifi: cfg80211: move A-MSDU check in ieee80211_data_to_8023_exthdr
    - wifi: cfg80211: factor out bridge tunnel / RFC1042 header check
    - wifi: mac80211: remove mesh forwarding congestion check
    - wifi: mac80211: fix receiving A-MSDU frames on mesh interfaces
    - wifi: mac80211: add a workaround for receiving non-standard mesh A-MSDU
    - wifi: cfg80211: check A-MSDU format more carefully (CVE-2024-35937)
    - docs/bpf: Document BPF_MAP_TYPE_LPM_TRIE map
    - bpf: Replace bpf_lpm_trie_key 0-length array with flexible array


=== debian/control ===
Source: linux-6.1
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:native, python3-jinja2, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, liblz4-tool [amd64 arm64] <!pkg.linux.nokernel !stage1>, gcc-6 [alpha arm64 armel armhf hppa ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-6-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-6 (>= 6.3.0-18+deb9u1~) [amd64 i386] <!cross !pkg.linux.nokernel !stage1>, gcc-6-x86-64-linux-gnu (>= 6.3.0-18+deb9u1~) [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-6-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-6-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-6-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-6-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-6-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-6-i686-linux-gnu (>= 6.3.0-18+deb9u1~) [i386] <cross !pkg.linux.nokernel !stage1>, gcc-6-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-6-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-6-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-6-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-6-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-6-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-6-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-6-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-6-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-6-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-6-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-6-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-6.1.0-0.deb9.26
Architecture: all
Section: devel
Build-Profiles: <!stage1>
Depends: ${python3:Depends}, python3-jinja2, ${misc:Depends}
Multi-Arch: foreign
Description: Support files for Linux 6.1
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.

Package: linux-doc-6.1
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux kernel specific documentation for version 6.1
 This package provides the various README files and HTML documentation for
 the Linux kernel version 6.1.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-6.1/html/index.html.

Package: linux-source-6.1
Architecture: all
Section: kernel
Build-Profiles: <!pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: build-essential, bc, rsync, kmod, cpio, bison, flex, libelf-dev, libssl-dev, linux-config-6.1
Suggests: libncurses-dev | ncurses-dev, qtbase5-dev, pkg-config
Multi-Arch: foreign
Description: Linux kernel source for version 6.1 with Debian patches
 This package provides source code for the Linux kernel version 6.1. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.

Package: linux-headers-6.1.0-0.deb9.26-common
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-0.deb9.26
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-0.deb9.26, generally used for building out-of-tree kernel
 modules.  To obtain a complete set of headers you also need to install the
 linux-headers-6.1.0-0.deb9.26-(flavour) package, matching the flavour of
 the kernel you intend the build for.

Package: linux-headers-6.1.0-0.deb9.26-common-rt
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-0.deb9.26-rt
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-0.deb9.26 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers
 you also need to install the linux-headers-6.1.0-0.deb9.26-(flavour)
 package, matching the flavour of the kernel you intend the build for.

Package: linux-config-6.1
Architecture: linux-any
Build-Profiles: <!pkg.linux.nosource !stage1>
Depends: ${misc:Depends}
Recommends: linux-source-6.1
Multi-Arch: same
Description: Debian kernel configurations for Linux 6.1
 This package contains the configuration files used to build the official
 Debian kernel files, but without references to Debian's signing
 certificates.
 .
 These can be used as a basis for configuring custom kernels.

Package: linux-kbuild-6.1
Architecture: linux-any
Build-Profiles: <!pkg.linux.notools !stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Kbuild infrastructure for Linux 6.1
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 6.1.

Package: linux-bootwrapper-6.1.0-0.deb9.26
Architecture: powerpc ppc64
Build-Profiles: <!pkg.linux.notools !stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Boot wrapper tools for Linux 6.1 on PowerPC
 This package provides the 'wrapper' script and related tools needed to
 process the Linux kernel image for use with some PowerPC platforms.

Package: linux-headers-6.1.0-0.deb9.26-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb9.26-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-6
Description: Header files for Linux 6.1.0-0.deb9.26-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.1.0-0.deb9.26-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.1.0-0.deb9.26-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.1.0-0.deb9.26-alpha-generic package.

Package: linux-image-6.1.0-0.deb9.26-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb9.26 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, apparmor [alpha]
Suggests: linux-doc-6.1, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: wireless-regdb (<< 2019.06.03-1~) [alpha], initramfs-tools (<< 0.120+deb8u2)
Description: Linux 6.1 for Alpha
 The Linux kernel 6.1 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-image-6.1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
Provides: linux-latest-modules-6.1.0-0.deb9.26-alpha-generic, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386]
Depends: linux-image-6.1.0-0.deb9.26-alpha-generic (= ${binary:Version}), ${misc:Depends}
Description: Linux for Alpha (meta-package)
 This package depends on the latest Linux kernel and modules for use on DEC
 Alpha systems with extended kernel start address (Wildfire, Titan,
 Marvel).

Package: linux-headers-6.1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb9.26-alpha-generic (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux alpha-generic configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel alpha-generic configuration.

Package: linux-image-6.1.0-0.deb9.26-alpha-generic-dbg
Architecture: alpha
Section: debug
Priority: optional
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Description: Debug symbols for linux-image-6.1.0-0.deb9.26-alpha-generic
 This package provides the detached debug symbols for the Linux kernel and
 modules in linux-image-6.1.0-0.deb9.26-alpha-generic.

Package: linux-image-6.1-alpha-generic-dbg
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.nometa !pkg.linux.quick !stage1>
Provides: linux-latest-image-dbg
Depends: linux-image-6.1.0-0.deb9.26-alpha-generic-dbg (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for Linux alpha-generic configuration (meta-package)
 This package depends on the detached debugging symbols for the latest
 Linux kernel alpha-generic configuration.

Package: linux-headers-6.1.0-0.deb9.26-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb9.26-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-6
Description: Header files for Linux 6.1.0-0.deb9.26-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.1.0-0.deb9.26-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.1.0-0.deb9.26-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.1.0-0.deb9.26-alpha-smp package.

Package: linux-image-6.1.0-0.deb9.26-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb9.26 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, apparmor [alpha]

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine, skip-not-installable
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, autopkgtest-reboot, linux-image-6.1.0-0.deb9.26-alpha-generic [alpha], linux-image-6.1.0-0.deb9.26-alpha-smp [alpha], linux-image-6.1.0-0.deb9.26-amd64 [amd64], linux-image-6.1.0-0.deb9.26-cloud-amd64 [amd64], linux-image-6.1.0-0.deb9.26-rt-amd64 [amd64], linux-image-6.1.0-0.deb9.26-arm64 [arm64], linux-image-6.1.0-0.deb9.26-cloud-arm64 [arm64], linux-image-6.1.0-0.deb9.26-rt-arm64 [arm64], linux-image-6.1.0-0.deb9.26-marvell [armel], linux-image-6.1.0-0.deb9.26-rpi [armel], linux-image-6.1.0-0.deb9.26-armmp [armhf], linux-image-6.1.0-0.deb9.26-armmp-lpae [armhf], linux-image-6.1.0-0.deb9.26-rt-armmp [armhf], linux-image-6.1.0-0.deb9.26-parisc [hppa], linux-image-6.1.0-0.deb9.26-parisc64 [hppa], linux-image-6.1.0-0.deb9.26-686 [i386], linux-image-6.1.0-0.deb9.26-686-pae [i386], linux-image-6.1.0-0.deb9.26-rt-686-pae [i386], linux-image-6.1.0-0.deb9.26-itanium [ia64], linux-image-6.1.0-0.deb9.26-mckinley [ia64], linux-image-6.1.0-0.deb9.26-m68k [m68k], linux-image-6.1.0-0.deb9.26-4kc-malta [mips mipsel], linux-image-6.1.0-0.deb9.26-mips32r2eb [mips], linux-image-6.1.0-0.deb9.26-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-0.deb9.26-5kc-malta [mips64 mips64el], linux-image-6.1.0-0.deb9.26-mips64r2eb [mips64], linux-image-6.1.0-0.deb9.26-mips64r2el [mips64el], linux-image-6.1.0-0.deb9.26-loongson-3 [mips64el mipsel], linux-image-6.1.0-0.deb9.26-mips64r6eb [mips64r6], linux-image-6.1.0-0.deb9.26-mips64r6el [mips64r6el], linux-image-6.1.0-0.deb9.26-mips32r2el [mipsel], linux-image-6.1.0-0.deb9.26-mips32r6eb [mipsr6], linux-image-6.1.0-0.deb9.26-mips32r6el [mipsr6el], linux-image-6.1.0-0.deb9.26-powerpc [powerpc], linux-image-6.1.0-0.deb9.26-powerpc-smp [powerpc], linux-image-6.1.0-0.deb9.26-powerpc64 [powerpc ppc64], linux-image-6.1.0-0.deb9.26-powerpc64le [ppc64el], linux-image-6.1.0-0.deb9.26-riscv64 [riscv64], linux-image-6.1.0-0.deb9.26-s390x [s390x], linux-image-6.1.0-0.deb9.26-sh7751r [sh4], linux-image-6.1.0-0.deb9.26-sh7785lcr [sh4], linux-image-6.1.0-0.deb9.26-sparc64 [sparc64], linux-image-6.1.0-0.deb9.26-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
